> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Verification

Creates an AccountVerificationSession of the provided type.

## Path Parameters

## Body

## Returns

Returns an AccountVerificationSession object.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "micro_deposits"
  }'
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .verificationSessions
  .create({
    type: 'micro_deposits'
  });
```

```python Python theme={null}
response = method.accounts('acc_yVf3mkzbhz9tj')
  .verification_sessions
  .create({
    'type': 'micro_deposits'
  })
```

```json Micro-deposits theme={null}
{
  "id": "avf_bxDxWqdnRcrer",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "pending",
  "error": null,
  "type": "micro_deposits",
  "micro_deposits": {
    "amounts": []
  },
  "created_at": "2024-03-29T21:32:54.452Z",
  "updated_at": "2024-03-29T21:32:54.452Z"
}
```

```json Plaid theme={null}
{
  "id": "avf_wYjzrmP6QBzRd",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "pending",
  "error": null,
  "type": "plaid",
  "plaid": {
    "transactions": [],
    "balances": {}
  },
  "created_at": "2024-04-01T18:23:31.744Z",
  "updated_at": "2024-04-01T18:23:31.744Z"
}
```

```json MX theme={null}
{
  "id": "avf_eQCXK6b7L7c3W",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "pending",
  "error": null,
  "type": "mx",
  "mx": {
    "transactions": [],
    "account": {}
  },
  "created_at": "2024-04-01T18:24:27.003Z",
  "updated_at": "2024-04-01T18:24:27.003Z"
}
```

```json Teller theme={null}
{
  "id": "avf_tmhN3L67Qt9N6",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "pending",
  "error": null,
  "type": "teller",
  "teller": {
    "transactions": [],
    "balances": {}
  },
  "created_at": "2024-04-01T18:25:02.770Z",
  "updated_at": "2024-04-01T18:25:02.770Z"
}
```

```json Standard theme={null}
{
  "id": "avf_hCUj4GhnTcekJ",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "pending",
  "error": null,
  "type": "standard",
  "standard": {
    "number": null
  },
  "created_at": "2024-03-14T02:02:24.862Z",
  "updated_at": "2024-03-14T02:02:24.862Z"
}
```

```json Instant theme={null}
{
  "id": "avf_P3abzebLBXLja",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "pending",
  "error": null,
  "type": "instant",
  "instant": {
    "exp_year": null,
    "exp_month": null,
    "exp_check": null,
    "number": "xxxxxxxxxxxxxxxx"
  },
  "created_at": "2024-03-14T02:02:24.862Z",
  "updated_at": "2024-03-14T02:02:24.862Z"
}
```

```json Pre-auth theme={null}
{
  "id": "avf_DjkdemgTQfqRD",
  "account_id": "acc_yVf3mkzbhz9tj",
  "status": "pending",
  "error": null,
  "type": "pre_auth",
  "pre_auth": {
    "exp_year": "xxxx",
    "exp_month": "xx",
    "exp_check": null,
    "cvv": null,
    "cvv_check": null,
    "billing_zip_code": "xxxxx",
    "billing_zip_code_check": null,
    "number": "xxxxxxxxxxxxxxxx",
    "pre_auth_check": null
  },
  "created_at": "2024-03-14T02:02:24.862Z",
  "updated_at": "2024-03-14T02:02:24.862Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.